package config

import (
	"os"

	"github.com/spf13/viper"
)

func InitConfig() {
	viper.SetConfigName("grokkit")
	viper.SetConfigType("yaml")
	home, _ := os.UserHomeDir()
	viper.AddConfigPath(home + "/.config/grokkit")
	viper.SetDefault("model", "grok-4")
	viper.SetDefault("chat.history_file", home+"/.config/grokkit/chat_history.json")
	viper.AutomaticEnv()
	_ = viper.ReadInConfig()
}
